develooper Front page | perl.perl5.porters | Postings from February 2015

Re: 5.21.9 not building for me on Ubuntu

Thread Previous | Thread Next
From:
James E Keenan
Date:
February 21, 2015 15:08
Subject:
Re: 5.21.9 not building for me on Ubuntu
Message ID:
20150221150829.16287.qmail@lists-nntp.develooper.com
On 02/21/2015 02:51 AM, sisyphus1@optusnet.com.au wrote:
> Hi,
>
> 5.21.9 is failing for me fairly early on as per attached 'make.out'
> (which is the full outptut I got when I re-ran make after it failed).
>
> Configure command was:
>
> $ sh Configure -des -Duse64bitint -Duse64bitall -Dusethreads
> -Dusequadmath -Dusedevel -Dprefix=/home/sisyphus/bleadperl
>
> No problems with the same incantation, same machine, perl-5.21.7.
>
> Cheers,
> Rob

1.  Using the same Configure arguments, I was not able to reproduce your 
problem in blead.

2.  I checked out v5.21.9.  Using these arguments:

git clean -dfx && sh ./Configure -des -Dusedevel -Dusethreads 
-Duse64bitint -Duse64bitall -Dusequadmath && make -j8

... I was able to reproduce your failure.

3.  Again using v5.21.9, I removed '-Dusequadmath' from the above 
arguments.  I built successfully.

4.  Again using v5.21.9, I used: '-des -Dusedevel -Dusequadmath', I 
built successfully (though possibly with more error warnings).

So I infer that there is something about 'usequadmath's interactions 
with other options that is the problem.

Thank you very much.
Jim Keenan

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About